Security Enhanced Linux Reference Policy

# Layer: services

## Module: ccs

Interfaces

### Description:

Cluster Configuration System.

### Interfaces:

ccs_admin( domain , role )

##### Summary

All of the rules required to administrate an ccs environment.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | Role allowed access.

ccs_domtrans( domain )

##### Summary

Execute a domain transition to run ccs.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

ccs_manage_config( domain )

##### Summary

Create, read, write, and delete cluster configuration files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

ccs_read_config( domain )

##### Summary

Read cluster configuration files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

ccs_stream_connect( domain )

##### Summary

Connect to ccs over an unix stream socket.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return